require 'sinatra'
require 'sinatra/json'
require 'sequel'

configure do
  Sequel.connect("sqlite:///#{File.expand_path('blog.db', __dir__)}")
  require_relative 'models'
  require_relative 'queries/post_schema'
end

get '/' do
  "We are working!"
end

get '/some' do
  query = '
{
    allPosts {
        title
        body
    }
    post(id: 1) {
        title
        body
        comments {
            body
            user {
                userName
                firstName
            }
        }
    }
}
'
  json PostSchema.execute(query)
end

post '/api/' do
  result = PostSchema.execute(
    params[:query],
    variables: params[:variables],
    context: { current_user: nil },
  )
  json result
end
