require 'graphql'

require_relative 'post_type'
require_relative '../../models/post'

class PostQuery < GraphQL::Schema::Object
    field :all_posts, [PostType], null: false,
        description: 'Returns all blog posts'

    def all_posts
        Post.all
    end

    field :post, PostType,  null: true do
        description 'Returns a single blog post'
        argument :id, ID, required: true
    end

    def post(id:)
        Post[id]
    end
end
